package com.gic.demo.project.web.exception;

import com.gic.commons.webapi.reponse.RestResponse;

public enum GicDemoErrCode {
    /**
     * 操作失败
     */
    ERR_1("0001", "操作失败"),
    /**
     * 缺少参数
     */
    ERR_2("0002", "缺少参数"),
    /**
     * 系统异常
     */
    ERR_3("0003", "系统异常"),

    ERR_OTHER("9999", "未知错误code");

    private String code;
    private String message;

    GicDemoErrCode(String code, String value) {
        this.code = code;
        this.message = value;
    }

    public String getCode() {
        return code;
    }


    public String getMessage() {
        return message;
    }

    public RestResponse buildFailureResponse() {
        return RestResponse.failure(code, message);
    }

}
